API ReferenceGeneral
Delete specific VICAL
Roles
admindts-provider
Analytics Events
ECOSYSTEM_VICAL_DELETE_STARTECOSYSTEM_VICAL_DELETE_SUCCESSECOSYSTEM_VICAL_DELETE_FAIL
DELETE
/v1/ecosystems/{ecosystemId}/vicals/{vicalIssueId}Deletes a specific VICAL from the requested ecosystem by providing the VICAL version identifier. Deleting a VICAL also deletes the issuer policy published from it, if one exists. This action cannot be undone.
A 404 is only returned when the ecosystem does not exist. Deleting a vicalIssueId that does
not exist within an existing ecosystem still returns 204.
Analytic events
- ECOSYSTEM_VICAL_DELETE_START
- ECOSYSTEM_VICAL_DELETE_SUCCESS
- ECOSYSTEM_VICAL_DELETE_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
ecosystemId*string
The UUID of the ecosystem
Format
uuidvicalIssueId*integer
Unique identifier of a specific VICAL version. This numeric value is continuously increased whenever a VICAL is created.
Format
int32Response Body
application/json
application/json
curl -X DELETE "https://example.vii.au01.mattr.global/v1/ecosystems/87880d7e-a4d0-462e-8383-3f1e5e16865d/vicals/1337"Empty
{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?